#ifndef MENUSCREAN_H_
#define MENUSCREAN_H_

#define LENGHT_CONS_BUFF	13
#define LENGHT_CONS_MES		PACKET_DATA_LENGHT

typedef struct{
				char ConsMes[LENGHT_CONS_MES];
				unsigned long color;
}t_cons_buff;

void OnMenuPaint(tWidget *pWidget, tContext *pContext);
void OnConsolePaint(tWidget *pWidget, tContext *pContext);
void OnSpinModulPress(tWidget *pWidget);
void OnLedModulPress(tWidget *pWidget);
void OnDeckPress(tWidget *pWidget);
void OnLockPress(tWidget *pWidget);

void 	SetMenuScreen(void);
void 	RemoveMenuScreen(void);
unsigned long IsMenuScreenSet( void );
void 	OnlineStavChanged(void);
void 	NewMasageToConsole( const char *mesage, unsigned char typemesage );		// typemesage 0 je odoslana sprava
																				// 1 je priata sprava
																				// 2 je chybova sprava
#endif /*MENUSCREAN_H_*/
